
Synnefo - Bug # 555

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades API

Created: 05/17/2011 Assignee: Giorgos Verigakis

Updated: 10/10/2011 Due date:

Subject: Υποστήριξη κοινών/shared images, images μόνο του χρήστη

Description

Από τότε που μπήκε υποστήριξη χρηστών στο API, υπάρχει το θέμα ότι τα images πρέπει να είναι του συγκεκριμένου χρήστη για να

φανούν.

Χρειάζεται να σχεδιαστεί και να τεκμηριωθεί πώς θα υπάρχουν παγκόσμια images, που θα είναι προσβάσιμα απ'όλους, και τι θα

κάνει το API για να τα υποστηρίζει. Π.χ., θα είναι αυτά με owner = NULL;

Επίσης, δεν είναι ξεκάθαρο τι είναι system images και τι είναι custom images, και πώς αυτά θα ξεχωρίζουν όταν το UI κάνει ένα API

call.

Αυτή τη στιγμή, όσα images έχουν προκύψει ως snapshot συγκεκριμένο server [έχουν serverRef] αντιμετωπίζονται ως custom images

από το UI.

Ανοίγω το ticket για να ξέρουμε ότι πρέπει να γίνει ένα πρώτο μέρος της δουλειάς [το API να επιστρέφει images του συστήματος,

όχι απαραίτητα owned από το συγκεκριμένο logged-in χρήστη] μέχρι v0.5.

Related issues:

related to Synnefo - Bug # 681: Το UI αποτυγχάνει αν δεν υπάρχουν images Closed 06/15/2011

related to Synnefo - Feature # 989: Glance API Implementation (Plankton Service) Closed 08/03/2011 11/11/2011

Associated revisions

Revision 75768d0e - 06/20/2011 02:54 pm - Giorgos Verigakis

Add a public attribute to Images

list_images now returns images that either match the owner, or

that are marked as public.

Fixes #555

Database migration needed.

History

#1 - 08/03/2011 06:54 pm - Vangelis Koukis

- Target version set to v0.7

#2 - 10/10/2011 02:02 pm - Vangelis Koukis

- Status changed from Assigned to Closed
